Subject: Re: [idn] nameprep (Korean Nameprep)

From: "Soobok Lee" <[email-masked]>
Date: Fri, 1 Jun 2001 17:08:10 +0900

On Thu, 31 May 2001, Mark Davis wrote:

> 1. It is correct that neither the compatibility Jamo nor the half-width
Jamo
> are combined into Hangul syllables by the normalization algorithm.
However,
> those Jamo are not intented for use in constructing Hangul syllables --
> instead, the conjoining Jamo are. And those are correctly composed into
> syllables, if individual Jamo are input.
>
> It would be possible to deal separately with those characters in
nameprep --

I agree.

> although without more information it is not possible to completely
eliminate
> ambiguity in choosing whether a consonant is leading or trailing.

compatibility jamo sequences may be preserved unchanged. Otherwise,
they may be transformed into correct conjoinging jamo sequences before
nameprep based on hangul automata for contructing hangul syllables from jamo
(this will make common nameprep codes include hangul-specific codes in it).
We (KRNIC NC) have no consensus yet on whether these sequences
should be preserved or not.

> Do you
> believe this is, in practice, a really problem; that there are a large
> number of people that produce Korean text with compatibility or half-width
> Jamo, instead of Hangul syllables?
>

Hangul compatibility jamo sequences are not rare in korean texts and
are useful for hangul consonant-letter acronyms for long hangul words
or phrases.  They will unburden  typing efforts.

Soobok Lee, [email-masked]

---

From: John C Klensin <[email-masked]>
Date: Fri, 01 Jun 2001 08:02:21 -0400

Soobok and Mark,

For whatever it is worth, this discussion reinforces, yet again,
my belief that nameprep should be recast into a 

   yes
   no
   sometimes (better figure out how to get user input)

model.  Then the protocol work should be structured to reflect
the fact that there are fewer certain answers than, in a more
hospitable world, we might wish for.

    john

--On Friday, 01 June, 2001 17:08 +0900 Soobok Lee
<[email-masked]> wrote:

>> those Jamo are not intented for use in constructing Hangul
>> syllables -- instead, the conjoining Jamo are. And those are
>> correctly composed into syllables, if individual Jamo are
>> input.
>> 
> compatibility jamo sequences may be preserved unchanged.
> Otherwise, they may be transformed into correct conjoinging
> jamo sequences before nameprep based on hangul automata for
> contructing hangul syllables from jamo (this will make common
> nameprep codes include hangul-specific codes in it). We (KRNIC
> NC) have no consensus yet on whether these sequences should be
> preserved or not.
> 
> 
>> Do you
>> believe this is, in practice, a really problem; that there
>> are a large number of people that produce Korean text with
>> compatibility or half-width Jamo, instead of Hangul syllables?
>> 
> 
> Hangul compatibility jamo sequences are not rare in korean
> texts and are useful for hangul consonant-letter acronyms for
> long hangul words or phrases.  They will unburden  typing
> efforts.
>